package de.intevation.flys.artifacts.model.minfo;

import java.util.LinkedList;
import java.util.List;

public class QualityMeasurements {

    private List<QualityMeasurement> measurements;

    public QualityMeasurements() {
    }

    public QualityMeasurements(List<QualityMeasurement> list) {
        measurements = list;
    }

    public List<QualityMeasurement> getMeasurements() {
        return measurements;
    }

    public List<QualityMeasurement> getMeasurements(double km) {
        List<QualityMeasurement> res = new LinkedList<QualityMeasurement>();
        for (QualityMeasurement qm: measurements) {
            if (qm.getKm() == km) {
                res.add(qm);
            }
        }
        return res;
    }

    public void setMeasurements(List<QualityMeasurement> list) {
        this.measurements = list;
    }

    public void addMeasurement(QualityMeasurement qm) {
        this.measurements.add(qm);
    }
}
